## ceph-iscsi 3.9

=== Makefile ===
DIST ?= "el9"
TAG := $(shell git describe --tags --abbrev=0)
VERSION := $(shell echo $(TAG) | sed 's/^v//')


dist:
	git archive --format=tar.gz --prefix=ceph-iscsi-$(VERSION)/ HEAD > ceph-iscsi-$(VERSION).tar.gz

srpm: dist
	rpmbuild -bs ceph-iscsi.spec \
	  --define "_topdir ." \
	  --define "_sourcedir ." \
	  --define "_srcrpmdir ." \
	  --define "dist .$(DIST)"

.PHONY: dist srpm

## ceph-iscsi 3.3

=== debian/changelog ===
ceph-iscsi (3.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.3
  * Move git repository to "debian" namespace
  * Bump Standards-Version to 4.4.1
  * Switch to debhelper compat level 12

 -- Raphaël Hertzog <raphael@freexian.com>  Mon, 21 Oct 2019 11:40:52 +0200

ceph-iscsi (3.2-1) unstable; urgency=medium

  [ Mathieu Parent ]
  * Add debian/gbp.conf
  * Add debian/watch
  * Rename package ceph-iscsi
  * Install gwcli manpage
  * Add "Debian pipeline for Developers"
  * piuparts fails because tcmu-runner is not yet in sid
  * Add init.d services
  * Replace /etc/sysconfig/ceph by /etc/default/ceph in service files
  * Fix skip-systemd-native-flag-missing-pre-depends

  [ Sébastien Delafond ]
  * Remove piuparts override now that tcmu-runner is in sid
  * First release (Closes: #933350)
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 23 Sep 2019 08:46:44 +0200

=== debian/control ===
Source: ceph-iscsi
Section: python
Priority: optional
Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
Uploaders: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all
Standards-Version: 4.4.1
Homepage: https://github.com/ceph/ceph-iscsi
Vcs-Browser: https://salsa.debian.org/debian/ceph-iscsi
Vcs-Git: https://salsa.debian.org/debian/ceph-iscsi.git

Package: ceph-iscsi
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${python3:Depends},
	 tcmu-runner (>= 1.4.0),
	 python3-configshell-fb,
	 python3-cryptography,
	 python3-flask,
	 python3-netifaces,
	 python3-openssl,
	 python3-rados,
	 python3-rbd,
	 python3-rtslib-fb,
	 python3-distutils,
	 python3-rpm,
	 python3-requests
Description: common logic and CLI tools for creating and managing LIO gateways for Ceph
 It includes the rbd-target-api daemon which is responsible for
 restoring the state of LIO following a gateway reboot/outage and
 exporting a REST API to configure the system using tools like
 gwcli. It replaces the existing 'target' service.
 .
 There is also a second daemon rbd-target-gw which exports a REST API
 to gather statistics.
 .
 It also includes the CLI tool gwcli which can be used to configure
 and manage the Ceph iSCSI gateway, which replaces the existing
 targetcli CLI tool. This CLI tool utilizes the rbd-target-api server
 daemon to configure multiple gateways concurrently.

## ceph-iscsi 3.4

=== debian/changelog ===
ceph-iscsi (3.4-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 3.4
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 20 Jan 2021 10:34:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
 Uploaders: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/ceph/ceph-iscsi
 Vcs-Browser: https://salsa.debian.org/debian/ceph-iscsi
 Vcs-Git: https://salsa.debian.org/debian/ceph-iscsi.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-ceph-iscsi
#export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installinit:
	dh_installinit -pceph-iscsi --name rbd-target-api
	dh_installinit -pceph-iscsi --name rbd-target-gw

## ceph-iscsi 3.5

=== debian/changelog ===
ceph-iscsi (3.5-3) unstable; urgency=medium

  * QA upload.
  * Ship systemd units under /lib/systemd/system so that they can get
    picked up by dh_installsystemd (Closes: #1034235).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 25 Apr 2023 15:26:14 +0000

ceph-iscsi (3.5-2) unstable; urgency=medium

  * QA upload.
  * Apply patch to Test enablement, misc tidy actions - thanks to
    James Page (Closes: #945777)
  * Bump standards version

 -- Neil Williams <codehelp@debian.org>  Fri, 24 Sep 2021 13:45:45 +0100

ceph-iscsi (3.5-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 3.5

 -- Sebastien Delafond <seb@debian.org>  Mon, 12 Apr 2021 11:29:26 +0200

=== debian/control ===
Source: ceph-iscsi
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12), 
    dh-python,
    python3-setuptools,
    python3-all,
    python3-configshell-fb,
    python3-cryptography,
    python3-distutils,
    python3-flask,
    python3-mock,
    python3-netifaces,
    python3-openssl,
    python3-pytest,
    python3-rados,
    python3-rbd,
    python3-requests,
    python3-rtslib-fb,
    python3-setuptools
Standards-Version: 4.6.0
Homepage: https://github.com/ceph/ceph-iscsi
Vcs-Browser: https://salsa.debian.org/debian/ceph-iscsi
Vcs-Git: https://salsa.debian.org/debian/ceph-iscsi.git

Package: ceph-iscsi
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: python3-configshell-fb,
         python3-cryptography,
         python3-distutils,
         python3-flask,
         python3-netifaces,
         python3-openssl,
         python3-rados,
         python3-rbd,
         python3-requests,
         python3-rtslib-fb,
         tcmu-runner (>= 1.4.0),
         ${misc:Depends},
         ${python3:Depends}
Description: common logic and CLI tools for creating and managing LIO gateways for Ceph
 It includes the rbd-target-api daemon which is responsible for
 restoring the state of LIO following a gateway reboot/outage and
 exporting a REST API to configure the system using tools like
 gwcli. It replaces the existing 'target' service.
 .
 There is also a second daemon rbd-target-gw which exports a REST API
 to gather statistics.
 .
 It also includes the CLI tool gwcli which can be used to configure
 and manage the Ceph iSCSI gateway, which replaces the existing
 targetcli CLI tool. This CLI tool utilizes the rbd-target-api server
 daemon to configure multiple gateways concurrently.

## ceph-iscsi 3.6

=== debian/changelog ===
ceph-iscsi (3.6-3) sid; urgency=medium

  * QA upload.
  * Drop dependencies on python3-distutils.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Mar 2024 12:03:16 +0100

ceph-iscsi (3.6-2) unstable; urgency=medium

  * QA upload.
  * Let systemd.pc decide place for systemd system unit files

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 09 Dec 2023 13:39:12 +0100

ceph-iscsi (3.6-1) unstable; urgency=medium

  * QA upload.

  [ Leandro Cunha ]
  * New upstream version.
  * Set upstream metadata fields: Changelog.
  * debian/control:
    - Bump Standards-Version to 4.6.2.
    - Added 'Rules-Requires-Root: no' in source stanza.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Sun, 22 Oct 2023 15:01:04 -0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12), 
+Build-Depends: debhelper-compat (= 13),
     dh-python,
+    pkgconf,
     python3-setuptools,
     python3-all,
     python3-configshell-fb,
     python3-cryptography,
-    python3-distutils,
     python3-flask,
     python3-mock,
     python3-netifaces,
@@ -18,8 +18,10 @@
     python3-rbd,
     python3-requests,
     python3-rtslib-fb,
-    python3-setuptools
-Standards-Version: 4.6.0
+    python3-setuptools,
+    systemd-dev,
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/ceph/ceph-iscsi
 Vcs-Browser: https://salsa.debian.org/debian/ceph-iscsi
 Vcs-Git: https://salsa.debian.org/debian/ceph-iscsi.git
@@ -29,7 +31,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: python3-configshell-fb,
          python3-cryptography,
-         python3-distutils,
          python3-flask,
          python3-netifaces,
          python3-openssl,

=== debian/rules ===
#!/usr/bin/make -f
export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)

export PYBUILD_NAME=python-ceph-iscsi
#export PYBUILD_DISABLE=test
export PYBUILD_TEST_ARGS=--ignore=test/test_group.py test/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installinit:
	dh_installinit -pceph-iscsi --name rbd-target-api
	dh_installinit -pceph-iscsi --name rbd-target-gw

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache

## ceph-iscsi 3.9

=== debian/changelog ===
ceph-iscsi (3.9-1) sid; urgency=medium

  * QA upload.
  * New upstream version 3.9
  * Remove dependency on python3-mock
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Mon, 04 Nov 2024 21:07:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
-    dh-python,
+    dh-sequence-python3,
     pkgconf,
     python3-setuptools,
     python3-all,
     python3-configshell-fb,
     python3-cryptography,
     python3-flask,
-    python3-mock,
     python3-netifaces,
     python3-openssl,
     python3-pytest,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_TEST_ARGS=--ignore=test/test_group.py test/
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installinit:
 	dh_installinit -pceph-iscsi --name rbd-target-api

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ceph-iscsi-$1.tar.gz%" \
     https://github.com/ceph/ceph-iscsi/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
